Fazer Banco do Brasil/Caixa funcionar no Ubuntu 17.10/18.04

Publicado por Danton em 24/06/2018

[ Hits: 1.764 ]

 


Fazer Banco do Brasil/Caixa funcionar no Ubuntu 17.10/18.04



O link de vídeo original está aqui:
No vídeo e neste tutorial, serão usados o libcurl4 ao invés do libcurl3, mas se o libcurl4 não estiver disponível no Linux que estiver usando, pode usar o libcurl3 normalmente. Ou, caso esteja visualizando essa dica em uma data futura e este método ainda funcionar, use a versão mais recente/atualizada do libcurl disponível.

O mesmo vale para versão do Java. Nesse tutorial será usado o Oracle Java 8. Mas no seu caso dê preferência à versão mais recente/atualizada disponível.

Instruções

Instalando Java:

sudo apt purge oracle-java7-installer
$ sudo apt autoremove --purge openjdk-7-jre icedtea-7-plugin
$ sudo add-apt-repository ppa:webupd8team/java
$ sudo apt update
$ sudo apt install oracle-java8-installer


Verificando a versão instalada:

java -version

Agora, temos que configurar o Java e dar permissões para o site da Caixa Econômica. Pesquise no Ubuntu, apertando a tecla com ícone de Windows e digite: Oracle Java 8 Plugin Control Panel

Vá até a aba "Segurança", entre em "Gerenciar Exceções" ou "Editar Lista de Sites". Adicione, um a um, os seguintes endereços:

https://internetbanking.caixa.gov.br/siwinstatic/applet/gbas/gbas.jar
https://internetbanking.caixa.gov.br
https://internetbanking.caixa.gov.br/SIIBC/index.processa
https://internetbankingpf.caixa.gov.br/SIIBC/siwinCtrl

Instalando Warsaw

Primeiro, pegue o warsaw mais atualizado, o do Itaú:
Baixe o warsaw_setup_64.deb e abra um terminal no diretório onde baixou o pacote:

dpkg-deb -R warsaw_setup_64.deb warsaw
$ sudo gedit warsaw/DEBIAN/control


Troque python-gpgme por python-gpg e libcurl3 por libcurl4 e depois salve:

sudo gedit warsaw/usr/bin/warsaw

Troque gpgme por gpg e salve.

dpkg-deb -b warsaw warsaw_corrigido.deb
$ sudo dpkg -i warsaw_corrigido.deb


Caso tenha dado algum erro de dependência:

sudo apt install -f

(caso esse comando não funcione diretamente, veja quais são as dependências e instale por conta própria)

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Alternativa para eliminar lentidão do flashplayer no KDE4

Configurar o Sublime Text 3 para usar com NASM x86_64

Layout de teclado para ABNT2 - Configuração no Ubuntu (modo texto)

SUSE (SLED 11 SP3) - Erro ao executar VirtualBox [Resolvido]

Tema de KDE 4.4 para aplicações GTK

  

Comentários
[1] Comentário enviado por removido em 26/06/2018 - 01:35h


Não pode baixar o java no site oficial tem que usar esse LIXO de ppa da vida?

[2] Comentário enviado por dankton96 em 26/06/2018 - 14:26h

Contato que garanta o funcionamento pode usar qualquer método que preferir. Apenas postei a alternativa mais user-friendly. :)



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts